0

Command variable-get requires Drupal core version 6 or 7 to run. The drush command 'variable-get' could not be executed.

drush st Drupal version : 8.7.3 Site URI : http://default

How do I get to change variables with a fresh install ** I did not upgrade - I'm a newbie to Drupal

I have looked at the drush/commands/core/variable.drush.inc 
I can see that 
    'core' => array(6,7),
    'core' => array(6,7),
    'core' => array(6,7),
but changing any of it is just breaking it further and weirder ;-)

any suggestion ? I like to be able to update user's attribute email password from the CLI

  • " variable-get requires Drupal core version 6 or 7 to run." You're running on D8 so it won't work. Look up the equivalent Drush config set command for what you're trying to do. – Shawn Conn Jun 6 at 22:20
  • Thanks for the fast and informative answer Shawn – user3353537 Jun 7 at 16:06

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.